> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Payments for a Recurring Gift

GET https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/get-payments-for-a-recurring-gift

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `recurringGiftId` (string, required)

### Query parameters

- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10.

## Response

### 200

OK

- `id` (string, optional)
- `gift` (ApiRecurringGiftPaymentRecurringGiftIdGetResponsesContentApplicationJsonSchemaGift, optional)
- `expectedAmount` (string, optional)
- `expectedPaymentDate` (string, optional)
- `dismissPaymentDate` (string, optional)
- `fulfillPaymentDate` (string, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiRecurringGiftPaymentRecurringGiftIdGetResponsesContentApplicationJsonSchemaGift

- `id` (string, optional)
- `contactId` (string, optional)
- `giftDate` (string, optional)
- `amount` (string, optional)

## Examples

**Response**

```json
{
  "id": "<integer>",
  "gift": {
    "id": "<integer>",
    "contactId": "<integer>",
    "giftDate": "<dateTime>",
    "amount": "<double>"
  },
  "expectedAmount": "<double>",
  "expectedPaymentDate": "<dateTime>",
  "dismissPaymentDate": "<dateTime>",
  "fulfillPaymentDate": "<dateTime>"
}
```

**SDK Code**

```python Giving_getPaymentsForARecurringGift_example
import requests

url = "https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId"

querystring = {"skip":"1","take":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Giving_getPaymentsForARecurringGift_example
const url = 'https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_getPaymentsForARecurringGift_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_getPaymentsForARecurringGift_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Giving_getPaymentsForARecurringGift_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Giving_getPaymentsForARecurringGift_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Giving_getPaymentsForARecurringGift_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Giving_getPaymentsForARecurringGift_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/RecurringGiftPayment/recurringGiftId?skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```